=== debian/control ===
Source: vzdump
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Homepage: http://www.proxmox.com/cms_proxmox/en/virtualization/openvz/vzdump/

Package: vzdump
Architecture: all
Depends: perl, vzctl, cstream, rsync, liblockfile-simple-perl, exim4 | mail-transport-agent, ${shlibs:Depends}, ${misc:Depends}
Suggests: xdelta
Description: OpenVZ backup scripts
 This package contains the vzdump script to backup and restore openvz images.
